Subject: bug#67661: 30.0.50; *Completions* has started popping up for icomplete-in-buffer

From: john muhl <[email-masked]>
Date: Tue, 09 Jan 2024 21:12:22 -0600

Sean Whitton <[email-masked]> writes:

I forgot the CCs. Sorry Sean for the double email.

> Hello,
>
> On Fri 29 Dec 2023 at 05:47pm GMT, Sean Whitton wrote:
>
>> I'm not sure whether to close the bug or not, because there remains the
>> behavioural change for icomplete-in-buffer since Emacs 29.1.
>
> I've found a work around for the behavioural change:
>
>     (setopt completion-auto-help t)
>     (advice-add 'completion-at-point :after #'minibuffer-hide-completions)
>
> So maybe we should just add something explaining this to NEWS?
>
> The default value of completion-auto-help is t, but I had it set to
> `lazy'.
> If someone wants the Emacs 29 behaviour back, they'll need to ensure
> completion-auto-help is t, so I think we should mention it somewhere.
> Essentially, completion-auto-help now affects both the *Completions*
> buffer and icomplete-in-buffer's display.

This commit (d7ff14fcba6) caused an eshell test to start
failing. It seems like the test was written to account for the
above mentioned bug in pcomplete but wasn’t sure. Attached is
the test output and the change in the test to fix it.

--- a/test/lisp/eshell/em-cmpl-tests.el
+++ b/test/lisp/eshell/em-cmpl-tests.el
@@ -186,7 +186,7 @@ em-cmpl-test/file-completion/non-unique
        (save-excursion
          (goto-char (point-max))
          (forward-line -1)
-         (should (looking-at "Complete, but not unique")))))))
+         (should (looking-at "Making completion list...")))))))
 
 (ert-deftest em-cmpl-test/file-completion/glob ()
   "Test completion of file names using a glob."